Get business catalog
Protocols: Linked Device API
Required scope: business:read
curl --request GET \
--url https://api.polymorfa.com/messaging/{session}/business/catalog \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polymorfa.com/messaging/{session}/business/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/messaging/{session}/business/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/messaging/{session}/business/catalog"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"success": true,
"data": {
"products": [
{
"id": "<string>",
"name": "<string>",
"price": "<string>",
"currency": "<string>",
"hidden": true,
"sanctioned": true,
"media": {
"images": [
{
"id": "<string>",
"originalUrl": "<string>",
"requestUrl": "<string>"
}
],
"videos": [
{
"id": "<string>",
"originalUrl": "<string>",
"thumbnailUrl": "<string>"
}
]
},
"status": {
"canAppeal": true,
"status": "<string>"
},
"retailerId": "<string>",
"belongsTo": "<string>",
"description": "<string>",
"url": "<string>",
"shimmedUrl": "<string>",
"maxAvailable": 1,
"availability": "<string>",
"complianceCategory": "<string>",
"compliance": {
"countryCodeOrigin": "<string>",
"importerName": "<string>",
"importerAddress": {
"street1": "<string>",
"street2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>"
}
},
"salePrice": {
"price": "<string>",
"startDate": "<string>",
"endDate": "<string>"
},
"variant": {
"availability": {
"listings": [
{
"available": true,
"options": [
{
"name": "<string>",
"value": "<string>"
}
],
"productId": "<string>"
}
]
},
"listingDetails": {
"description": "<string>",
"lowestPrice": "<string>",
"multiPrice": "<string>"
},
"types": [
{
"name": "<string>",
"options": [
{
"value": "<string>",
"thumbnail": {
"originalDimensions": {
"width": 1,
"height": 1
},
"id": "<string>",
"originalUrl": "<string>",
"requestUrl": "<string>"
}
}
]
}
],
"properties": [
{
"name": "<string>",
"value": "<string>"
}
]
}
}
],
"next": "<string>",
"previous": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_parameter",
"message": "Correct the invalid request field.",
"param": null
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#invalid-parameter"
}{
"error": {
"type": "authentication_error",
"code": "invalid_credential",
"message": "Supply a valid credential.",
"param": null
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#invalid-credential"
}{
"error": {
"type": "permission_error",
"code": "permission_denied",
"message": "The credential does not have access to this resource.",
"param": null
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#permission-denied"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "The resource is unavailable to this caller.",
"param": null
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#resource-not-found"
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected service failure occurred. Keep the request ID for support.",
"param": null
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#internal-error"
}{
"error": {
"type": "upstream_error",
"code": "upstream_failure",
"message": "The messaging provider could not complete the request.",
"param": null
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#upstream-failure"
}Authorizations
Polymorfa organization key (pmfa_ prefix), project token (pmfa_pt_ prefix) where supported, or short-lived client token (pmfa_ct_ prefix). Organization and project keys may be personal or service-account owned and enforce selected action scopes. Organization keys cover the team and its projects; project tokens stay inside one project. Client tokens stay inside their live project and session and enforce their client rules.
Path Parameters
Identifier of the connected Polymorfa session.
Query Parameters
Identifier for this resource.
Value constraints
| Constraint | Accepted input |
|---|---|
| String length | At most 256 characters |
| Pattern | ^pmfa_lid_[1-9]\d*$ |
256^pmfa_lid_[1-9]\d*$Specifies after for this query parameter.
Value constraints
| Constraint | Accepted input |
|---|---|
| String length | At most 2048 characters |
2048Specifies limit for this query parameter.
Value constraints
| Constraint | Accepted input |
|---|---|
| Numeric value | 1 through 100 (inclusive) |
1 <= x <= 100Width in pixels.
Value constraints
| Constraint | Accepted input |
|---|---|
| Numeric value | 1 through 1024 (inclusive) |
1 <= x <= 1024Height in pixels.
Value constraints
| Constraint | Accepted input |
|---|---|
| Numeric value | 1 through 1024 (inclusive) |
1 <= x <= 1024curl --request GET \
--url https://api.polymorfa.com/messaging/{session}/business/catalog \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polymorfa.com/messaging/{session}/business/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/messaging/{session}/business/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/messaging/{session}/business/catalog"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"success": true,
"data": {
"products": [
{
"id": "<string>",
"name": "<string>",
"price": "<string>",
"currency": "<string>",
"hidden": true,
"sanctioned": true,
"media": {
"images": [
{
"id": "<string>",
"originalUrl": "<string>",
"requestUrl": "<string>"
}
],
"videos": [
{
"id": "<string>",
"originalUrl": "<string>",
"thumbnailUrl": "<string>"
}
]
},
"status": {
"canAppeal": true,
"status": "<string>"
},
"retailerId": "<string>",
"belongsTo": "<string>",
"description": "<string>",
"url": "<string>",
"shimmedUrl": "<string>",
"maxAvailable": 1,
"availability": "<string>",
"complianceCategory": "<string>",
"compliance": {
"countryCodeOrigin": "<string>",
"importerName": "<string>",
"importerAddress": {
"street1": "<string>",
"street2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>"
}
},
"salePrice": {
"price": "<string>",
"startDate": "<string>",
"endDate": "<string>"
},
"variant": {
"availability": {
"listings": [
{
"available": true,
"options": [
{
"name": "<string>",
"value": "<string>"
}
],
"productId": "<string>"
}
]
},
"listingDetails": {
"description": "<string>",
"lowestPrice": "<string>",
"multiPrice": "<string>"
},
"types": [
{
"name": "<string>",
"options": [
{
"value": "<string>",
"thumbnail": {
"originalDimensions": {
"width": 1,
"height": 1
},
"id": "<string>",
"originalUrl": "<string>",
"requestUrl": "<string>"
}
}
]
}
],
"properties": [
{
"name": "<string>",
"value": "<string>"
}
]
}
}
],
"next": "<string>",
"previous": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_parameter",
"message": "Correct the invalid request field.",
"param": null
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#invalid-parameter"
}{
"error": {
"type": "authentication_error",
"code": "invalid_credential",
"message": "Supply a valid credential.",
"param": null
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#invalid-credential"
}{
"error": {
"type": "permission_error",
"code": "permission_denied",
"message": "The credential does not have access to this resource.",
"param": null
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#permission-denied"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "The resource is unavailable to this caller.",
"param": null
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#resource-not-found"
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected service failure occurred. Keep the request ID for support.",
"param": null
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#internal-error"
}{
"error": {
"type": "upstream_error",
"code": "upstream_failure",
"message": "The messaging provider could not complete the request.",
"param": null
},
"data": null,
"docs": "https://docs.polymorfa.com/api/errors#upstream-failure"
}